Overstappen van PHP 5.6 naar PHP 7

Geschatte leestijd: 1 minu(u)t(en)

De ondersteuning van PHP 5.6 stopt per 1 februari 2019 bij uHost. In dit artikel leggen we uit hoe u de overstap naar PHP 7 zo probleemloos mogelijk kunt doen.

Waarom overstappen?

De ontwikkelaars van PHP brengen geen updates meer uit voor PHP 5.6. Voor de veiligheid van uw website en onze server is het essentieel om over te stappen. Per 1 februari 2019 is PHP 5.6 niet meer beschikbaar op onze servers en gebeurt de overstap automatisch.

Wat gebeurt er als u niets doet?

De kans bestaat dat uw website niet langer zal functioneren. Het kan zijn dat er fouten getoond worden op uw website, dat uw formulieren niet meer werken of dat er een witte pagina getoond wordt. Het is daarom belangrijk om uw website te testen met PHP 7.

Hoe stapt u over naar PHP 7?

De meeste websites zijn gemaakt met behulp van een CMS (Content Management Systeem) zoals WordPress, Joomla of Drupal. De meeste e-commerce oplossingen zijn gemaakt met behulp van Magento, Prestashop of Opencart. In nagenoeg alle gevallen is het voldoende om alle plugins / modules, thema’s en het framework zelf (WordPress zelf bijvoorbeeld) te updaten naar de meest recente versie versie. Daarna kunt u de PHP versie aanpassen en uw website testen.

Hoe test u de werking van uw website?

Als u uw website bezoekt en u ziet wat u verwacht te zien dan bent u al een heel eind. Wij adviseren altijd om ook de onderliggende pagina’s te bezoeken en alert te zijn op eventuele foutmeldingen die bovenin de pagina, tussen de tekst of onderin de pagina getoond worden. Verder adviseren we altijd om de contact formulieren te testen en eventueel een testbestelling te plaatsen.

Verder is het raadzaam om de error log van de webserver door te nemen. Hier kunnen ook minder ernstige fouten in gelogd worden.

Krijgt u een witte pagina te zien?

Dan is er een fatale fout opgetreden. Details van de fout staan in de error log van de webserver.

Heeft u op maat gemaakte code?

De website bouwer zal er dan voor moeten zorgen dat deze code geschikt is voor PHP 7. Een belangrijke punt om rekening mee te houden zijn de short tags, die worden niet meer ondersteund. In de code zal <? vervangen moeten worden door <?php.

Hulp nodig?

Wij kunnen (tegen betaling) hulp bieden bij de overstap naar PHP 7. Neem contact met ons op voor een vrijblijvende offerte.

Is dit artikel behulpzaam?
Nee 0
Weergaven: 21
Scroll Up